com.corticon.service.ccserver.exception

## Class CcServerInvalidJdoMetaDataException

- java.lang.Object
- - CcException
  - - com.corticon.service.ccserver.exception.CcServerException
    - - com.corticon.service.ccserver.exception.CcServerInvalidJdoMetaDataException

- All Implemented Interfaces:
    java.io.Serializable

      public class CcServerInvalidJdoMetaDataException
      extends CcServerException

  `CcServerInvalidJdoMetaDataException` is if the information in the JDO metadata document (inside of the EDS) is invalid or doesn't accurately describe the schema of the connected database.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerInvalidJdoMetaDataException()`
    `CcServerInvalidJdoMetaDataException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerInvalidJdoMetaDataException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerInvalidJdoMetaDataException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerInvalidJdoMetaDataException(java.lang.String astrMessage)`
    `CcServerInvalidJdoMetaDataException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerInvalidJdoMetaDataException

          public CcServerInvalidJdoMetaDataException()

    - #### CcServerInvalidJdoMetaDataException

          public CcServerInvalidJdoMetaDataException(java.lang.String astrMessage)

    - #### CcServerInvalidJdoMetaDataException

          public CcServerInvalidJdoMetaDataException(java.lang.String astrMessage,
                                                     java.lang.Object aobject)

    - #### CcServerInvalidJdoMetaDataException

          public CcServerInvalidJdoMetaDataException(java.lang.Exception aparentException,
                                                     java.lang.String astrMessage)

    - #### CcServerInvalidJdoMetaDataException

          public CcServerInvalidJdoMetaDataException(java.lang.Exception aparentException,
                                                     java.lang.Object aobject)

    - #### CcServerInvalidJdoMetaDataException

          public CcServerInvalidJdoMetaDataException(java.lang.Exception aparentException,
                                                     java.lang.String astrMessage,
                                                     java.lang.Object aobject)

Copyright © 2005-2023 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.